/*=================================================================================
  Matrix system calls.

  =================================================================================
   $Source: matrix_syscalls.h $
   $Author: Huang, Will (E374983) $
   $Date: $
   $Revision: 1.0 $

   (c) Copyright Honeywell 2004-2008, All Rights Reserved
=================================================================================*/

#ifndef _MATRIX_SYSCALLS_H
#define _MATRIX_SYSCALLS_H

extern int register_apis(void *plugin, void*api);
extern int beep_led_io(unsigned int const* pBeepSeq, unsigned int SeqLen);
extern int decoder_maycontinue(void);
extern int decoder_processresult(void *result);
extern int decoder_mstimer(void);
extern int plugin_div64(unsigned long long *n, unsigned int divisor);
extern int plugin_io_init(unsigned int pins, unsigned int direction);
extern int plugin_io_read(void);
extern int plugin_io_write(unsigned int pins, unsigned int data);

#endif	/* _MATRIX_SYSCALLS_H */

/*=================================================================================
                       File Modification History
===================================================================================
 $Log: $
===================================================================================*/


