/*======================================================================================
   format_plugin_sample.c
======================================================================================
 $RCSfile: format_plugin_sample.c$
 $Revision:$
 $Date:$
 $Author:Will Huang$
 $Revision: $
======================================================================================

======================================================================================


---------------------------------------------------------------------------

  Module Description:
     Format Plugin sample.

---------------------------------------------------------------------------*/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <hsm_plugin/matrix_barcodeid.h>
#include <hsm_plugin/matrix_plugin.h>
#include <hsm_plugin/matrix_format_plugin.h>
#include <hsm_plugin/matrix_beep_led.h>



#define PLUGIN_NAME SampleLinked
#define COMPANY_NAME Plug-In Developer, Inc.
#define MAJOR_VERSION	5
#define MONOR_VERSION	3
#define BUILD_NUMBER	37
#define CERTIFICATE		102148
#define CERTIFICATE_TIME	2009/08/10 15:00:05
#define PLUGIN_GUID	abcd1234
#define FILE_NAME		SampleLinked.plugin

#define MenuID	              -1




int HelloWorld(void)
{
	printf("Test Information for Hello World\r\n");
	return 0;
}


 EXPORT_SYMBOL(HelloWorld); 

/**********************************************
   This is the initial function of plug-in
   This routine is user defined and be used
   to initilize plug-in and register plug-in
   APIs.
   Parameter:
   		plugin ---- Plug-in information structure
   Return Value:
   		-1 indicate a error and 0 to success
 *********************************************/
int init_plugin(HONPluginRawInfo *plugin)
{
	
	
	printf("/******************************/\r\n");
	printf("     Sample Linked Plugin\r\n");
	printf("/******************************/\r\n");
	
	
	return 0;

}

/**********************************************
   This is the cleanup function of plug-in
   This routine is user defined and is used
   to cleanup plug-in when remove plug-in from
   system.
 *********************************************/
void cleanup_plugin(void)
{
	return;
}

/**********************************************
   We should declare the plug-in by using
   'DECLARE_PLUGIN' macro in order that 
   Matrix can recognize the plug-in
 *********************************************/
DECLARE_PLUGIN(init_plugin, cleanup_plugin, HON_PLUGIN_FORMAT, MenuID);

/*=================================================================================
                       File Modification History
===================================================================================
 $Log:$
===================================================================================*/


